import "./tasks/CNVkit.wdl" as cnvkit
import "./tasks/AnnotSV.wdl" as AnnotSV
import "./tasks/HRD.wdl" as HRD

workflow {{ project_name }} {
    String sample_id
    File ref_fasta_dir
    File ref_fasta_cnvkit
    String ref_fasta
    File ref_flat
    File gc
    File tumor_bam
    File tumor_bam_bai
    File? normal_bam
    File? normal_bam_bai
    String docker_cnvkit
    String cluster_config
    String disk_size
    File annotsv_database
    String docker_annotsv
    String docker_sequenza

#    call HRD.HRD as HRD{
#        input:
#            sample=sample_id,
#            fasta=ref_fasta,
#            ref_dir=ref_fasta_dir,
#            gc=gc,
#            normal_bam=normal_bam,
#            normal_bam_index=normal_bam_bai,
#            tumor_bam=tumor_bam,
#            tumor_bam_index=tumor_bam_bai,
#            docker=docker_sequenza,
#            cluster_config=cluster_config,
#            disk_size=disk_size
#    }


    call cnvkit.cnvkit as cnvkit{
        input:
            sample_id=sample_id,
            ref_dir=ref_fasta_cnvkit,
            fasta=ref_fasta,
            ref_flat=ref_flat,
            #hrd=HRD.hrd,
            tumor_bam=tumor_bam,
            tumor_bam_index=tumor_bam_bai,
            normal_bam=normal_bam,
            normal_bam_index=normal_bam_bai,
            docker=docker_cnvkit,
            cluster_config=cluster_config,
            disk_size=disk_size
    }

	call AnnotSV.AnnotSV as cnvkit_AnnotSV{
		input:
                sample=sample_id,
                somatic_vcf=cnvkit.cnv_bed,
                annotsv_database=annotsv_database,
                docker=docker_annotsv,
                cluster_config=cluster_config,
                disk_size=disk_size
		
}


}